Skip to main content
`Ctrl`+`K`

# Matmul algorithm functions

hipSPARSELt: Matmul algorithm functions
Functions
Matmul algorithm functions

## Functions

hipsparseStatus_t | hipsparseLtMatmulAlgSelectionInit (const hipsparseLtHandle_t *handle, hipsparseLtMatmulAlgSelection_t *algSelection, const hipsparseLtMatmulDescriptor_t *matmulDescr, hipsparseLtMatmulAlg_t alg)
| Initializes the algorithm selection descriptor.
hipsparseStatus_t | hipsparseLtMatmulAlgSetAttribute (const hipsparseLtHandle_t *handle, hipsparseLtMatmulAlgSelection_t *algSelection, hipsparseLtMatmulAlgAttribute_t attribute, const void *data, size_t dataSize)
| Specify the algorithm attribute of a algorithm selection descriptor.
hipsparseStatus_t | hipsparseLtMatmulAlgGetAttribute (const hipsparseLtHandle_t *handle, const hipsparseLtMatmulAlgSelection_t *algSelection, hipsparseLtMatmulAlgAttribute_t attribute, void *data, size_t dataSize)
| Get the specific algorithm attribute from algorithm selection descriptor.

## Detailed Description

Provides algorithms for matrix multiply

## Function Documentation

## ◆ hipsparseLtMatmulAlgGetAttribute()

hipsparseStatus_t hipsparseLtMatmulAlgGetAttribute | ( | const hipsparseLtHandle_t * | handle,
|  | const hipsparseLtMatmulAlgSelection_t * | algSelection,
|  | hipsparseLtMatmulAlgAttribute_t | attribute,
|  | void * | data,
|  | size_t | dataSize )

Get the specific algorithm attribute from algorithm selection descriptor.

`hipsparseLtMatmulAlgGetAttribute` returns the value of the queried attribute belonging to algorithm selection descriptor.

Parameters

  [in] | handle | the hipsparselt handle
  [in] | algSelection | the algorithm selection descriptor
  [in] | attribute | attributes are specify in hipsparseLtMatmulAlgAttribute_t
  [in,out] | data | the memory address containing the attribute value retrieved by this function
  [in] | dataSize | size in bytes of the attribute value used for verification.

Return values

  HIPSPARSE_STATUS_SUCCESS | the operation completed successfully.
  HIPSPARSE_STATUS_INVALID_VALUE | `handle` , `algSelection` , `attribute` , `data` or `dataSize` is invalid.
  HIPSPARSE_STATUS_NOT_SUPPORTED | `attribute` is not supported.

## ◆ hipsparseLtMatmulAlgSelectionInit()

hipsparseStatus_t hipsparseLtMatmulAlgSelectionInit | ( | const hipsparseLtHandle_t * | handle,
|  | hipsparseLtMatmulAlgSelection_t * | algSelection,
|  | const hipsparseLtMatmulDescriptor_t * | matmulDescr,
|  | hipsparseLtMatmulAlg_t | alg )

Initializes the algorithm selection descriptor.

`hipsparseLtMatmulAlgSelectionInit` creates a algorithm selection descriptor.

Parameters

  [in] | handle | the hipsparselt handle
  [out] | algSelection | the pointer to the algorithm selection descriptor
  [in] | matmulDescr | the matrix multiplication descriptor
  [in] | alg | the algorithm used to do the matrix multiplication.

Return values

  HIPSPARSE_STATUS_SUCCESS | the operation completed successfully.
  HIPSPARSE_STATUS_INVALID_VALUE | `handle` , `matmulDescr` or `algSelection` is invalid.

## ◆ hipsparseLtMatmulAlgSetAttribute()

hipsparseStatus_t hipsparseLtMatmulAlgSetAttribute | ( | const hipsparseLtHandle_t * | handle,
|  | hipsparseLtMatmulAlgSelection_t * | algSelection,
|  | hipsparseLtMatmulAlgAttribute_t | attribute,
|  | const void * | data,
|  | size_t | dataSize )

Specify the algorithm attribute of a algorithm selection descriptor.

`hipsparseLtMatmulAlgSetAttribute` sets the value of the specified attribute belonging to algorithm selection descriptor.

Parameters

  [in] | handle | the hipsparselt handle
  [in,out] | algSelection | the algorithm selection descriptor
  [in] | attribute | attributes are specify in hipsparseLtMatmulAlgAttribute_t
  [in] | data | pointer to the value to which the specified attribute will be set.
  [in] | dataSize | size in bytes of the attribute value used for verification.

Return values

  HIPSPARSE_STATUS_SUCCESS | the operation completed successfully.
  HIPSPARSE_STATUS_INVALID_VALUE | `handle` , `algSelection` , `attribute` , `data` or `dataSize` is invalid.
  HIPSPARSE_STATUS_NOT_SUPPORTED | `attribute` is not supported.